<?php

use Chill\MainBundle\Export\FilterInterface;

class MyFilterUpdated implements FilterInterface
{
    public function getTitle()
    {
        return "some title";
    }

    public function buildForm(\Symfony\Component\Form\FormBuilderInterface $builder)
    {
    }

    public function getFormDefaultData(): array
    {
        return [];
    }

    public function normalizeFormData(array $formData): array
    {
        return $formData;
    }

    public function denormalizeFormData(array $formData, int $fromVersion): array
    {
        return $formData;
    }

    public function getNormalizationVersion(): int
    {
        return 1;
    }

    public function describeAction($data, \Chill\MainBundle\Export\ExportGenerationContext $context)
    {
        return [];
    }

    public function addRole(): ?string
    {
        return null;
    }

    public function alterQuery(\Doctrine\ORM\QueryBuilder $qb, $data, \Chill\MainBundle\Export\ExportGenerationContext $exportGenerationContext)
    {
        // nothing to add here
    }

    public function applyOn()
    {
        return ['something'];
    }
}
